# Inquiry Payment Status

Inquiry payment status conducted by the merchant to check transaction status customer in receive (accept) or rejected (reject) by API Faspay and informed on the status of the transaction.&#x20;

For the implementation of the testing, UAT can use URL development.

<table><thead><tr><th width="231">Integration Method</th><th width="506">Development</th></tr></thead><tbody><tr><td>Merchant Window API</td><td><a href="https://cardpayment-sandbox.faspay.co.id/transaction">https://cardpayment-sandbox.faspay.co.id/transaction</a></td></tr><tr><td>Merchant Direct API</td><td><a href="https://cardpayment-sandbox.faspay.co.id/transaction">https://cardpayment-sandbox.faspay.co.id/transaction</a></td></tr></tbody></table>

{% hint style="info" %}

* If the transaction is accepted (Accepted) Faspay will provide the latest transaction status
* If the transaction is rejected (Rejected) Faspay will give error code 5533 (the transaction is not found), for a transaction to be rejected (reject) will not be saved faspay
  {% endhint %}

**Inquiry Request Parameter**

Request parameters are parameters that the merchant's system must provide can inquire Faspay payment with system status.

{% tabs %}
{% tab title="Request" %}

<table><thead><tr><th width="185">Parameter</th><th width="138">Data Type</th><th width="93" align="center">M/O/C</th><th width="300">Description</th></tr></thead><tbody><tr><td>transaction_type</td><td>Integer(2)</td><td align="center">M</td><td>For inquiry payment API, always use value ‘4’.</td></tr><tr><td>merchant_id</td><td>Varchar(30)</td><td align="center">M</td><td>Your Faspay Merchant ID.</td></tr><tr><td>merchant_tranid</td><td>Varchar(100)</td><td align="center">M</td><td>Merchant’s unique transaction id as passed in from the payment request.</td></tr><tr><td>transaction_id</td><td>Varchar</td><td align="center">O</td><td>Transaction ID generated by Faspay. Fill this parameter with transaction_id provided in return_url or callback_url when payment occur.</td></tr><tr><td>amount</td><td>Varchar(10)</td><td align="center">M</td><td>Transaction amount as passed in from the payment request.</td></tr><tr><td>signature</td><td>Varchar(40)</td><td align="center">M</td><td>Transaction signature of request for data integrity check.</td></tr></tbody></table>
{% endtab %}

{% tab title="Sample Request" %}

```php
{
"transaction_type" : 4,
"merchant_id": "auto_store", 
"merchant_tranid": "AGS028", 
"transaction_id": "477DC7E5-D26B-46C5-AF39-61D8B47310AB", 
"amount": "20000.00", 
"signature" : "56c4c92226047a620374f4829d8058a5f955d684" 
}
```

{% endtab %}
{% endtabs %}

**Response Parameter Inquiry Payment Status**

Response parameter inquiry payment status is parameters that will be delivered by the system Faspay response to request payment status inquiry parameters that have been submitted by the merchant system. If no parameters are appropriate / value is incorrect, the transaction will be rejected in the system Faspay.

{% tabs %}
{% tab title="Response" %}

<table><thead><tr><th width="185">Parameter</th><th width="138">Data Type</th><th width="93" align="center">M/O/C</th><th width="300">Description</th></tr></thead><tbody><tr><td>merchant_id</td><td>Varchar(30)</td><td align="center">M</td><td>our Faspay Merchant ID.</td></tr><tr><td>merchant_tranid</td><td>Varchar(100)</td><td align="center">M</td><td>Merchant’s own assigned transaction id as passed in from the request.</td></tr><tr><td>tnx_status</td><td>Varchar(3)</td><td align="center">M</td><td>Transaction status from Faspay .<br>A – Authorized<br>S – Sales<br>C – Captured<br>CF – Capture Failed<br>F – Failed<br>E – Error<br>B – Blocked<br>N – Pending<br>V - Void</td></tr><tr><td>amount</td><td>Varchar(10)</td><td align="center">M</td><td>Transaction amount as passed in from the request.</td></tr><tr><td>transaction_id</td><td>Varchar</td><td align="center">M</td><td>Transaction ID generated by Faspay when payment occur-Occuroccurs.</td></tr><tr><td>signature</td><td>Varchar(40)</td><td align="center">M</td><td>Transaction signature of request for data integrity check.</td></tr><tr><td>tran_date</td><td>Varchar(19)</td><td align="center">C</td><td>Transaction date of when transaction is submitted to Faspay e-Payment. Date format in ‘DD-MM-YYYY hh:mm:ss’ e.g. 24-05-2024 08:24:23 In the event of error, this field may be empty.</td></tr><tr><td>response_code</td><td>String(7)</td><td align="center">M</td><td>Response code.</td></tr><tr><td>response_message</td><td>String(150)</td><td align="center">M</td><td>Response description.</td></tr></tbody></table>
{% endtab %}

{% tab title="Sample Response" %}

```php
{
"merchant_id": "auto_store",
"merchant_tranid": "AGS005",
"txn_status": "S",
"amount": "10000.00",
"transaction_id": "A8748400-4AA3-4398-93DC-8F8AB700067D",
"signature": "AF1EC771492DE456980FA2B5FC88DC51C4E2D27D",
"tran_date": "2024-09-04 13:53:26",
"response_code": "00", "response_message": "Success" 
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.faspay.co.id/merchant-integration/api-reference-1/credit-card-transaction/additional-api-integration/inquiry-payment-status-1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
